OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
StringListReader Struct Reference

A reader that simply reads using fopen. More...

Inheritance diagram for StringListReader:

## Public Member Functions
| StringListReader (StringData &data, const LanguageStrings *strings, bool master, bool translation)
| Create the reader.
char * | ReadLine (char *buffer, const char *last)
| Read a single line from the source of strings.
Public Member Functions inherited from StringReader
| StringReader (StringData &data, const char *file, bool master, bool translation)
| Prepare reading.
virtual | ~StringReader ()
| Make sure the right reader gets freed.
void | HandleString (char *str)
virtual void | HandlePragma (char *str)
| Handle the pragma of the file.
virtual void | ParseFile ()
| Start parsing the file.

## Data Fields
const char *const * | p
| The current location of the iteration.
const char *const * | end
| The end of the iteration.
Data Fields inherited from StringReader
StringData & | data
| The data to fill during reading.
const char * | file
| The file we are reading.
bool | master
| Are we reading the master file?
bool | translation
| Are we reading a translation, implies !master. However, the base translation will have this false.

## Detailed Description

A reader that simply reads using fopen.

Definition at line 138 of file game_text.cpp.

## Constructor & Destructor Documentation

StringListReader::StringListReader | ( | StringData & | data,
|  | const LanguageStrings * | strings,
|  | bool | master,
|  | bool | translation
| ) |  |
| inline

Create the reader.

Parameters

  data | The data to fill during reading.
  file | The file we are reading.
  master | Are we reading the master file?
  translation | Are we reading a translation?

Definition at line 149 of file game_text.cpp.

## Member Function Documentation

char* StringListReader::ReadLine | ( | char * | buffer,
|  | const char * | last
| ) |  |
| inline virtual

Read a single line from the source of strings.

Parameters

  buffer | The buffer to read the data in to.
  last | The last element in the buffer.

Returns
  The buffer, or NULL if at the end of the file.

Implements StringReader.

Definition at line 154 of file game_text.cpp.

References end, p, and strecpy().

The documentation for this struct was generated from the following file:

- src/game/game_text.cpp